Package net.md_5.bungee.api.dialog

# Class NoticeDialog

java.lang.Object
net.md_5.bungee.api.dialog.NoticeDialog

All Implemented Interfaces:
  `Dialog`

public final class NoticeDialog extends Object implements Dialog
Represents a simple dialog with text and one action at the bottom (default: "OK").

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NoticeDialog(@NonNull DialogBase base, ActionButton action)`
  Creates a new `NoticeDialog` instance.
  `NoticeDialog(DialogBase base)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionButton`
  `action()`
  The "OK" action button for the dialog.
  `NoticeDialog`
  `action(ActionButton action)`
  The "OK" action button for the dialog.
  `boolean`
  `equals(Object o)`
  `@NonNull DialogBase`
  `getBase()`
  Gets the dialog base which contains the dialog title and other options common to all types of dialogs.
  `int`
  `hashCode()`
  `void`
  `setBase(@NonNull DialogBase base)`
  Sets the dialog base.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NoticeDialog

    public NoticeDialog(DialogBase base)

  - ### NoticeDialog

    public NoticeDialog(@NonNull @NonNull DialogBase base, ActionButton action)
    Creates a new `NoticeDialog` instance.
    Parameters:
      `base` -
      `action` - The "OK" action button for the dialog.

- ## Method Details

  - ### getBase

    @NonNull public @NonNull DialogBase getBase()
    Description copied from interface: `Dialog`
    Gets the dialog base which contains the dialog title and other options common to all types of dialogs.
    Specified by:
      `getBase` in interface `Dialog`
    Returns:
      mutable reference to the dialog base

  - ### action

    public ActionButton action()
    The "OK" action button for the dialog.

  - ### setBase

    public void setBase(@NonNull @NonNull DialogBase base)
    Description copied from interface: `Dialog`
    Sets the dialog base.
    For internal use only as this is mandatory and should be specified in the constructor.
    Specified by:
      `setBase` in interface `Dialog`
    Parameters:
      `base` - the new dialog base

  - ### action

    public NoticeDialog action(ActionButton action)
    The "OK" action button for the dialog.
    Returns:
      `this`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`